Skip to content
POST /unified/ticketing/tags

Query Parameters

Refer Specifying query parameters in Truto APIs

collectionsobject[]

Collection with type project is required.

1 supported1 required
Pivotal Tracker
required
idstring

The unique identifier for a collection

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

colorstring

Color of the tag. In hex format.

5 supported1 required
Hive
required
Dixa
supported
Front
supported
Gorgias
supported
Todoist
supported
custom_fields
1 supported
Quickbase for Project Management
supported
descriptionstring

Short description of the tag

1 supported
Gorgias
supported
namestring

The name of the label

8 supported7 required
Dixa
required
Front
required
Gorgias
required
Hive
required
Pivotal Tracker
required
Todoist
required
Trello
required
Teamwork Project Management
supported
parentobject

The parent tag of this tag

References: Tags → id
1 supported
Front
supported
idstring

The unique identifier for the tag

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

workspaceobject

The workspace the tag belongs to

References: Workspaces → id
4 supported1 required
Trello
required
Front
supported
Hive
supported
Teamwork Project Management
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspace

Response Body

colorstring

Color of the tag. In hex format.

5 supported
Dixa
supported
Front
supported
Gorgias
supported
Hive
supported
Todoist
supported
created_atstring · date-time

The date the tag was created

4 supported
Front
supported
Gorgias
supported
Hive
supported
Pivotal Tracker
supported
etagstring

The unique identifier for the specific version of the resource.

idstring

The unique identifier for a tag

9 supported
Dixa
supported
Front
supported
Gorgias
supported
Hive
supported
Pivotal Tracker
supported
Quickbase for Project Management
supported
Teamwork Project Management
supported
Todoist
supported
Trello
supported
namestring

The name of the tag

8 supported
Dixa
supported
Front
supported
Gorgias
supported
Hive
supported
Pivotal Tracker
supported
Teamwork Project Management
supported
Todoist
supported
Trello
supported
parentobject

The parent tag of this tag

References: Tags → id
1 supported
Front
supported
idstring

The unique identifier for the tag

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the tag. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactive
1 supported
Dixa
supported
updated_atstring · date-time

The date the tag was last updated

3 supported
Front
supported
Hive
supported
Pivotal Tracker
supported
workspaceobject

The workspace the tag belongs to

References: Workspaces → id
4 supported
Front
supported
Hive
supported
Teamwork Project Management
supported
Trello
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspace

curl -X POST 'https://api.truto.one/unified/ticketing/tags?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "color": "your_color",
  "workspace": {},
  "parent": {},
  "description": "your_description",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "color": "your_color",
  "workspace": {},
  "parent": {},
  "description": "your_description",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/tags?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/tags"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "color": "your_color",
    "workspace": {},
    "parent": {},
    "description": "your_description",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ticketing',
  'tags',
  {
  "name": "your_name",
  "color": "your_color",
  "workspace": {},
  "parent": {},
  "description": "your_description",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ticketing",
        "tags",
        {
        "name": "your_name",
        "color": "your_color",
        "workspace": {},
        "parent": {},
        "description": "your_description",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())